Name:           python-opensesame-extension-osweb
Version:        2.2.6.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Extensions and plugins for OpenSesame to run experiments in a browser using OSWeb

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://osdoc.cogsci.nl
Source:         %{pypi_source opensesame_extension_osweb}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'opensesame-extension-osweb' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-opensesame-extension-osweb
Summary:        %{summary}

%description -n python3-opensesame-extension-osweb %_description


%prep
%autosetup -p1 -n opensesame_extension_osweb-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-opensesame-extension-osweb -f %{pyproject_files}


%changelog
%autochangelog